<%@page contentType="text/html; charset=UTF-8"%>
<%@page import="com.csc.library.entry.HelpEntry,com.csc.library.system.*,com.csc.library.session.DbInquiry"%>
<jsp:useBean id="AS12HELP1" class="com.csc.library.system.Task" scope="page" />
<%AS12HELP1.setChannel(request, response);%>
<%HelpEntry screen = (HelpEntry) AS12HELP1.process("HelpEntry","AS12HELP1");%>
<%
screen.process();
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="../CSS/TISCO.css" rel="stylesheet" type="text/css">
<script  language="JavaScript" src="../JS/SCREEN.js"></script>

<script type='text/javascript' src='../JS/ICONSMENU.js'></script>
<script language='javascript' src='../JS/HOTKEY.js'></script>
<script language='javascript'>setLang('<%=screen.getUProfile().get("lang")%>');</script>

<script language="JavaScript" type="text/JavaScript">
<!--



function setSelectAll(obj){
	var flag = obj.checked;
	with(document.forms[0]){
		for(i=0;i<elements.length;i++){
			if(elements[i].type == "checkbox"){
				elements[i].checked = flag;
			}
		}
	}
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function checkMyOpener(app,app2,app3){
	with(parent.document.viewframe2.document.forms[0]){
		for(i=0;i < elements.length;i++){
			if((elements[i].type == "checkbox" )&& (elements[i].name.indexOf("_") > -1)){
				if(elements[i].checked == true){
					eval(elements[i].name + "txt.value = '" +app+"'");
					eval(elements[i].name + "ds.value = '" +app2+"'");
					eval(elements[i].name + "desc.value = '" +app3+"'");
				}
			}
		}
	}
}

function setAction(approve,ndesc){
    with(window.parent.document.cscform){
			 if(__apsid.value.length>0){
			    checkMyOpener(approve,__apsource.value,ndesc);
			   }
	}
}
//-->
</script>

</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<form name="cscform" method="post" >
 

<!----------BEGIN CSC INITIAL ZONE ------------------------>

<%=screen.InitialVariable()%>

<!----------END CSC INITIAL ZONE -------------------------->

<input type="hidden"name="__screen"  value="AS12HELP1">
  <input type="hidden" name="__help" value="<%=request.getParameter("__help")%>">
  <input type="hidden" name="__cmd"  value="">
  <input type="hidden" name="__resultSet"  value="<%=request.getParameter("__resultSet")%>">
   <input type="hidden" name="__language" value ="<%=screen.getUProfile().get("lang")%>"> 
  <input type="hidden" name="__fixCon" value="<%=request.getParameter("__fixCon")%>">
<table border="0" align="center" cellpadding="1" cellspacing="1" bgcolor="#666666" class="maxsize">
  <tr> 
    <td class="title1" width="20%"><div align="center">
        <script language="JavaScript">
swapLang('Code');
</script>
      </div></td>
    <td class="title1"><div align="center"> 
        <script language="JavaScript">
swapLang('Description');
</script>
      </div></td>
  </tr>
    <%
	 if(request.getParameter("__resultSet").length()>0){	
				while(screen.nextRec()){
		%>
  <tr onClick="setAction('<%=screen.getString("empid")%>','<%=screen.getString("emptdesc")%>');"  > 
    <td nowrap><div align="center"><%=screen.getString("empid")%></div></td>
    <td nowrap><font size="2"><%=screen.getString("emptdesc")%></font></td>
  </tr>
  <%}
  }%>
</table>
</form>
</body>
</html>
